Форум 1С
Программистам, бухгалтерам, администраторам, пользователям
Задай вопрос - получи решение проблемы
05 июл 2022, 09:26

Совместимость 8.3.10 с более старыми версиями

Автор Lun, 23 окт 2017, 22:38

0 Пользователей и 1 гость просматривают эту тему.

Lun

Здравствуйте!
Имеется конфигурация «Бухгалтерия 3.0», работающая под 1С 8.3.10, файловая (не sql).
Будет ли она открываться в 1С 8.3.8 или 8.3.6 ? (старые версии)
Зависит ли от это от того, как будет подключена в старые версии - загрузка через конфигуратор или простое копирование базы ?
Если просто так работать в этих старых версиях не будет, то имеется ли возможность ее как-то сконвертировать или сохранить в каких-то более старых совместимых форматах ?

MuI_I_Ika

Все очень просто. База работающая на версии 8.3 имеет единый формат.

НО

Поскольку платформа постоянно развивается, недаром же после циферки 3 постоянно появляются другие циферки. Постоянно добавляется новый функционал. И включая базу на старых платформах вы просто лишаетесь возможность использовать этот функционал. Все бы ничего, но зачастую этот функционал имеет такое большое значение, что разработчики не рекомендуют работать на какой-то более древней платформе чем .. (это определяется конкретной версией конфигурации). Может например не работать регламентированная отчетность, на закрываться месяц, не проводиться документ и так далее.

BuhRust

Узнайте релиз конфигурации и посмотрите какая нужна минимальная версия  платформы для ее работы

Lun

Цитата: BuhRust от 24 окт 2017, 08:25
Узнайте релиз конфигурации и посмотрите какая нужна минимальная версия  платформы для ее работы

релиз конфигурации = 3.0.44.177
А как узнать минимальную версию платформы ?
Добавлено: 24 окт 2017, 09:39


Цитата: MuI_I_Ika от 23 окт 2017, 23:44
Все очень просто. База работающая на версии 8.3 имеет единый формат.

НО

Поскольку платформа постоянно развивается, недаром же после циферки 3 постоянно появляются другие циферки. Постоянно добавляется новый функционал. И включая базу на старых платформах вы просто лишаетесь возможность использовать этот функционал. Все бы ничего, но зачастую этот функционал имеет такое большое значение, что разработчики не рекомендуют работать на какой-то более древней платформе чем .. (это определяется конкретной версией конфигурации). Может например не работать регламентированная отчетность, на закрываться месяц, не проводиться документ и так далее.

Если база имеет единый формат, то почему тогда выгрузка базы в чуть более новой версии не загружается в чуть более старой (примеры на память не скажу, но все в пределах 8.3) ?

oleg-x

В свойствах конфигурации указано совместимость с версией платформы, ниже этой версии платформы работать не получится. Можно снять с поддержки и уменьшить версию, но конфа полноценно работать не будет и придется руками править.
Помог, нажми спасибо. Не помог, нажми спасибо :-)
Если у Вас есть проблема, то её уже кто то решил @Yandex, @Google

BuhRust

Бухгалтерия предприятия, редакция 3.0, версия 3.0.44.177
Внимание!  Текущая версия конфигурации "Бухгалтерия предприятия" предназначена для использования с версией технологической платформы 1С:Предприятие 8 не ниже 8.3.8.1747.
Рекомендуется использовать версию 1С:Предприятие 8.3 не ниже 8.3.9.1818.

Lun

Цитата: oleg-x от 24 окт 2017, 10:07
В свойствах конфигурации указано совместимость с версией платформы, ниже этой версии платформы работать не получится. Можно снять с поддержки и уменьшить версию, но конфа полноценно работать не будет и придется руками править.

Oleg-x, спасибо!
Насчет работать не получится: правильно ли я понимаю, что если версию уменьшаем и вручную убираем обращения к возможностям платформы в части новой версии (если они в действительности не требуются для работы), то такой огрызочный вариант работать должен ?

oleg-x

Цитата: Lun от 25 окт 2017, 11:21
Цитата: oleg-x от 24 окт 2017, 10:07
В свойствах конфигурации указано совместимость с версией платформы, ниже этой версии платформы работать не получится. Можно снять с поддержки и уменьшить версию, но конфа полноценно работать не будет и придется руками править.

Oleg-x, спасибо!
Насчет работать не получится: правильно ли я понимаю, что если версию уменьшаем и вручную убираем обращения к возможностям платформы в части новой версии (если они в действительности не требуются для работы), то такой огрызочный вариант работать должен ?
Да работать будет, но вопрос только в том, сколько надо будет переписывать.
Для оценки можно посмотреть, посмотрите нововведения в платформе и через глобальный поиск смотрите где используется.
Помог, нажми спасибо. Не помог, нажми спасибо :-)
Если у Вас есть проблема, то её уже кто то решил @Yandex, @Google

Геннадий на Оби

Цитата: Lun от 25 окт 2017, 11:21
Насчет работать не получится: правильно ли я понимаю, что если версию уменьшаем и вручную убираем обращения к возможностям платформы в части новой версии (если они в действительности не требуются для работы), то такой огрызочный вариант работать должен ?
В чём смысл и необходимость таких извращений?
У меня фантазии не хватает

Только потому, что лень новую платформу 1С установить?

Теги:

Похожие темы (3)

Рейтинг@Mail.ru Rambler's Top100

Поиск